/*************************************************************************/
/*                                                                       */
/*        Produced by MetaGen version 2.0  -    1989-1995                 */
/*       Syntaxic Analyzer Meta Generator developped by                  */
/*                  Eric Lavillonniere                                   */
/*                                                                       */
/*************************************************************************/

#include "token.h"
#include ".h"



#undef toupper
static int toupper(int y) {int x=y; x=x>='a' && x<='z' ? x-'a'+'A' : x;return x;}
static string [200];

int ::SortKeyWord (int defaultValue)
{
    register int Value;
    return(defaultValue);
    return(defaultValue);
}

int ::UpSortKeyWord(int value) 
{
    register char * ptSource=lexEl.string;
    for (;*ptSource;ptSource++) *ptSource = toupper(*ptSource);
    PUT_COORD_CALL;
    return SortKeyWord (value);
}
/* 
*/

signed char *::_tokenArray [0] = {
};
typedef int (::*(DEF_FUNC_TOKEN_ARRAY [0]))() ;
DEF_FUNC_TOKEN_ARRAY ::_tokenFuncArray = {
};
int ::_tokenNbFuncArray [0] = {
};
int _arityNode_[] = {   2 , 1 , 1 , 1 , 1 , 2 };

    
STRINGELEM * listConst_;
extern "C" {
extern PPTREE bri_parse_entry_(int);
}

int ::init = 0 ;

void ::InitConst()
{
    if (!::init) {
        ::init = 1 ;
        
        STRINGELEM * inter = listConst;
        listConst = (STRINGELEM *) 0;
        AddConstVal("IN_LANGUAGE", 5);
        AddConstVal("META", 4);
        AddConstVal("PREPOST", 3);
        AddConstVal("POST", 2);
        AddConstVal("PRE", 1);
        AddConstVal("LIST",0);
        listConst_ = listConst;
        listConst = inter;
        AddLang("",_arityNode_,listConst_,bri_parse_entry_,5,(OVER_LANG *) 0);
        }
}

/*Well done my boy */ 
